> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/checklist-items/get-user-private-task-checklist-item-by-user-id-and-task-id-and-checklist-item-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Returns a checklist item from a private task. GET https://api.awork.com/api/v1/users/{userId}/privatetasks/{taskId}/checklistitems/{checklistItemId} Returns a checklist item from a private task. The checklist belongs to the specified private task. The user must be assigned to the task. Reference: https://developers.awork.com/apiv1/checklist-items/get-my-private-task-checklist-item-by-user-id-and-task-id-and-checklist-item-id ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `userId` (string, required) — The id of the user. - `taskId` (string, required) — The id of the task. - `checklistItemId` (string, required) — The id of the checklist item to retrieve. ## Response ### 200 OK - `name` (string, required) — The name of the checklist item. - `isDone` (boolean, optional) — Whether the checklist item is done. - `order` (double, optional, nullable) — The order of the checklist item. - `id` (string, optional) — The id of the checklist item. - `createdOn` (string, optional) — The date this checklist item was created. - `createdBy` (string, optional) — The id of the user who created this checklist item. - `updatedOn` (string, optional) — The date this checklist item was last modified. - `updatedBy` (string, optional) — The id of the user who last modified this checklist item. - `taskId` (string, optional) — The id of the task this checklist item belongs to. ## Errors ### 401 Unauthorized Error Unauthorized - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ### 404 Not Found Error Not Found - `code` (string, required) — The error code. - `description` (string, required) — The description of the error. - `link` (string, required) — The link to the API documentation page. - `details` (list of string, optional, nullable) — A list of details describing the error. - `validationErrors` (list of ValidationErrorResponse, optional, nullable) — If a validation error occurred, this contains the validation errors for each property. - `traceId` (string, optional, nullable) — The request trace id for tracking the request. ## Types ### ValidationErrorResponse The validation error response. - `property` (string, optional, nullable) — The name of the property that failed validation. - `message` (string, optional, nullable) — The reason why this property failed validation. ## Examples **Response** ```json { "name": "Create YouTube Ads", "isDone": true, "order": 4, "id": "123e4567-e89b-12d3-a456-426614174000", "createdOn": "2021-03-12T11:00:00Z", "createdBy": "123e4567-e89b-12d3-a456-426614174000", "updatedOn": "2021-03-14T11:31:00Z", "updatedBy": "123e4567-e89b-12d3-a456-426614174000", "taskId": "123e4567-e89b-12d3-a456-426614174000" } ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/users/userId/privatetasks/taskId/checklistitems/checklistItemId" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/users/userId/privatetasks/taskId/checklistitems/checklistItemId'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/users/userId/privatetasks/taskId/checklistitems/checklistItemId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/users/userId/privatetasks/taskId/checklistitems/checklistItemId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.awork.com/api/v1/users/userId/privatetasks/taskId/checklistitems/checklistItemId") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.awork.com/api/v1/users/userId/privatetasks/taskId/checklistitems/checklistItemId', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/users/userId/privatetasks/taskId/checklistitems/checklistItemId"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/users/userId/privatetasks/taskId/checklistitems/checklistItemId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```